local fn = _gn(0xe2501b8b)
--- Valid type definitions:
-- *   **0** Square
-- *   **1** Right triangle where the 90 degree angle is at maxX, minY
-- *   **2** Right triangle where the 90 degree angle is at minX, minY
-- *   **3** Right triangle where the 90 degree angle is at minX, maxY
-- *   **4** Right triangle where the 90 degree angle is at maxY, maxY
-- @param waterQuad The water quad index
-- @return Returns true on success. Type is undefined on failure
function Global.GetWaterQuadType(waterQuad, waterType)
	return fn(waterQuad, _ii(waterType) --[[ may be optional ]], _r)
end
